Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Interfaces/IValueTypeArray.cs	(revision 16171)
@@ -0,0 +1,51 @@
+﻿#region License Information
+
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#endregion
+
+using System;
+using System.Collections;
+using System.Collections.Generic;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Data {
+  public interface IValueTypeArray : IItem, IEnumerable {
+    bool ReadOnly { get; }
+    IValueTypeArray AsReadOnly();
+
+    int Length { get; set; }
+    bool Resizable { get; set; }
+    event EventHandler ResizableChanged;
+
+    IEnumerable<string> ElementNames { get; set; }
+    event EventHandler ElementNamesChanged;
+
+    event EventHandler<EventArgs<int>> ItemChanged;
+    event EventHandler Reset;
+  }
+
+  public interface IValueTypeArray<T> : IValueTypeArray, IReadOnlyList<T> where T : struct {
+    new T this[int index] { get; set; }
+  }
+}
+
+
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/DirectoryValue.cs	(revision 16171)
@@ -0,0 +1,45 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("DirectoryValue", "Represents the path to a directory.")]
+  [StorableClass]
+  public class DirectoryValue : PathValue {
+    [StorableConstructor]
+    protected DirectoryValue(bool deserializing) : base(deserializing) { }
+    protected DirectoryValue(DirectoryValue original, Cloner cloner) : base(original, cloner) { }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new DirectoryValue(this, cloner);
+    }
+
+    public DirectoryValue() : base() { }
+
+    public override bool Exists() {
+      if (!Path.IsPathRooted(Value)) return false;
+      return Directory.Exists(Value);
+    }
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/FileValue.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/FileValue.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/FileValue.cs	(revision 16171)
@@ -0,0 +1,63 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("FileValue", "Represents the path to a file.")]
+  [StorableClass]
+  public class FileValue : PathValue {
+    [Storable]
+    private string fileDialogFilter;
+    public string FileDialogFilter {
+      get { return fileDialogFilter; }
+      set {
+        if (fileDialogFilter != value) {
+          fileDialogFilter = value;
+        }
+      }
+    }
+
+    [StorableConstructor]
+    protected FileValue(bool deserializing) : base(deserializing) { }
+    protected FileValue(FileValue original, Cloner cloner)
+      : base(original, cloner) {
+      fileDialogFilter = original.FileDialogFilter;
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new FileValue(this, cloner);
+    }
+
+    public FileValue()
+      : base() {
+      fileDialogFilter = @"All files|*.*";
+    }
+
+    public override bool Exists() {
+      if (string.IsNullOrEmpty(Value)) return false;
+      if (string.IsNullOrEmpty(Path.GetDirectoryName(Value))) return false;
+      return File.Exists(Value);
+    }
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/PathValue.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/PathValue.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/PathValue.cs	(revision 16171)
@@ -0,0 +1,71 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.IO;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("PathValue", "Represents a path.")]
+  [StorableClass]
+  public abstract class PathValue : Item {
+
+    [Storable]
+    private readonly StringValue stringValue = new StringValue();
+    public StringValue StringValue {
+      get { return stringValue; }
+    }
+
+    public string Value {
+      get { return stringValue.Value; }
+      set {
+        if (value == null) value = string.Empty;
+        value = value.TrimEnd(Path.DirectorySeparatorChar, Path.AltDirectorySeparatorChar);
+        stringValue.Value = value;
+      }
+    }
+
+    [StorableConstructor]
+    protected PathValue(bool deserializing) : base(deserializing) { }
+    protected PathValue(PathValue original, Cloner cloner)
+      : base(original, cloner) {
+      stringValue = cloner.Clone(original.stringValue);
+    }
+
+    protected PathValue()
+      : base() {
+      stringValue.ToStringChanged += (o, e) => OnToStringChanged();
+    }
+
+    [StorableHook(HookType.AfterDeserialization)]
+    private void AfterDeserialization() {
+      stringValue.ToStringChanged += (o, e) => OnToStringChanged();
+    }
+
+    public abstract bool Exists();
+
+    public override string ToString() {
+      return stringValue.ToString();
+    }
+
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Path Types/TextFileValue.cs	(revision 16171)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("TextFile", "Represents the content and path to a text file.")]
+  [StorableClass]
+  public class TextFileValue : FileValue {
+    [StorableConstructor]
+    protected TextFileValue(bool deserializing) : base(deserializing) { }
+    protected TextFileValue(TextFileValue original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new TextFileValue(this, cloner);
+    }
+
+    public TextFileValue()
+      : base() {
+    }
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentArray.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentArray.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentArray.cs	(revision 16171)
@@ -0,0 +1,80 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("PercentArray", "Represents an array of double values in percent.")]
+  [StorableClass]
+  public class PercentArray : DoubleArray {
+    [StorableConstructor]
+    protected PercentArray(bool deserializing) : base(deserializing) { }
+    protected PercentArray(PercentArray original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public PercentArray() : base() { }
+    public PercentArray(int length) : base(length) { }
+    public PercentArray(double[] elements) : base(elements) { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new PercentArray(this, cloner);
+    }
+
+    public override string ToString() {
+      StringBuilder sb = new StringBuilder();
+      sb.Append("[");
+      if (array.Length > 0) {
+        sb.Append(array[0].ToString("#0.#################### %"));  // percent format
+        for (int i = 1; i < array.Length; i++)
+          sb.Append(";").Append(array[i].ToString("#0.#################### %"));  // percent format
+      }
+      sb.Append("]");
+      return sb.ToString();
+    }
+
+    protected override bool Validate(string value, out string errorMessage) {
+      value = value.Replace("%", " ");
+      return base.Validate(value, out errorMessage);
+    }
+    protected override string GetValue(int index) {
+      return this[index].ToString("#0.#################### %");  // percent format
+    }
+    protected override bool SetValue(string value, int index) {
+      bool percent = value.Contains("%");
+      value = value.Replace("%", " ");
+      double val;
+      if (double.TryParse(value, out val)) {
+        if (percent) {
+          if (!(val).IsAlmost(this[index] * 100.0))
+            this[index] = val == 0 ? 0 : val / 100.0;
+        } else {
+          this[index] = val;
+        }
+        return true;
+      } else {
+        return false;
+      }
+    }
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentMatrix.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentMatrix.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentMatrix.cs	(revision 16171)
@@ -0,0 +1,88 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("PercentMatrix", "Represents a matrix of double values in percent.")]
+  [StorableClass]
+  public class PercentMatrix : DoubleMatrix {
+    [StorableConstructor]
+    protected PercentMatrix(bool deserializing) : base(deserializing) { }
+    protected PercentMatrix(PercentMatrix original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public PercentMatrix() : base() { }
+    public PercentMatrix(int rows, int columns) : base(rows, columns) { }
+    public PercentMatrix(int rows, int columns, IEnumerable<string> columnNames) : base(rows, columns, columnNames) { }
+    public PercentMatrix(int rows, int columns, IEnumerable<string> columnNames, IEnumerable<string> rowNames) : base(rows, columns, columnNames, rowNames) { }
+    public PercentMatrix(double[,] elements) : base(elements) { }
+    public PercentMatrix(double[,] elements, IEnumerable<string> columnNames) : base(elements, columnNames) { }
+    public PercentMatrix(double[,] elements, IEnumerable<string> columnNames, IEnumerable<string> rowNames) : base(elements, columnNames, rowNames) { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new PercentMatrix(this, cloner);
+    }
+
+    public override string ToString() {
+      StringBuilder sb = new StringBuilder();
+      sb.Append("[");
+      if (matrix.Length > 0) {
+        for (int i = 0; i < Rows; i++) {
+          sb.Append("[").Append(matrix[i, 0].ToString("#0.#################### %"));  // percent format
+          for (int j = 1; j < Columns; j++)
+            sb.Append(";").Append(matrix[i, j].ToString("#0.#################### %"));  // percent format
+          sb.Append("]");
+        }
+      }
+      sb.Append("]");
+      return sb.ToString();
+    }
+
+    protected override bool Validate(string value, out string errorMessage) {
+      value = value.Replace("%", " ");
+      return base.Validate(value, out errorMessage);
+    }
+    protected override string GetValue(int rowIndex, int columIndex) {
+      return this[rowIndex, columIndex].ToString("#0.#################### %");  // percent format
+    }
+    protected override bool SetValue(string value, int rowIndex, int columnIndex) {
+      bool percent = value.Contains("%");
+      value = value.Replace("%", " ");
+      double val;
+      if (double.TryParse(value, out val)) {
+        if (percent) {
+          if (!(val).IsAlmost(this[rowIndex, columnIndex] * 100.0))
+            this[rowIndex, columnIndex] = val == 0 ? 0 : val / 100.0;
+        } else {
+          this[rowIndex, columnIndex] = val;
+        }
+        return true;
+      } else {
+        return false;
+      }
+    }
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentValue.cs
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentValue.cs	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/PercentValue.cs	(revision 16171)
@@ -0,0 +1,104 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("PercentValue", "Represents a double value in percent.")]
+  [StorableClass]
+  public class PercentValue : DoubleValue {
+    [Storable(DefaultValue = false)]
+    private bool restrictToUnitInterval = false;
+    public bool RestrictToUnitInterval {
+      get { return restrictToUnitInterval; }
+    }
+
+    public override double Value {
+      get { return base.Value; }
+      set {
+        if (restrictToUnitInterval && (value < 0 || value > 1))
+          throw new ArgumentException("Value must lie in the interval [0,1].");
+        base.Value = value;
+      }
+    }
+
+    [StorableConstructor]
+    protected PercentValue(bool deserializing) : base(deserializing) { }
+    protected PercentValue(PercentValue original, Cloner cloner)
+      : base(original, cloner) {
+      restrictToUnitInterval = original.restrictToUnitInterval;
+    }
+    public PercentValue() : base() { }
+    public PercentValue(double value) : base(value) { }
+
+    public PercentValue(double value, bool restrictToUnitInterval)
+      : base() {
+      this.restrictToUnitInterval = restrictToUnitInterval;
+      if (restrictToUnitInterval && (value < 0 || value > 1))
+        throw new ArgumentException("Value must lie in the interval [0,1].");
+      this.value = value;
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new PercentValue(this, cloner);
+    }
+
+    public override string ToString() {
+      return Value.ToString("#0.#################### %");  // percent format
+    }
+
+    protected override bool Validate(string value, out string errorMessage) {
+      value = value.Replace("%", " ");
+      bool valid = base.Validate(value, out errorMessage);
+      if (!restrictToUnitInterval || !valid) return valid;
+
+      double val = double.Parse(value);
+      if (val < 0 || val > 1) {
+        errorMessage = "Value must lie in the interval [0,1].";
+        return false;
+      }
+      return true;
+    }
+
+    protected override string GetValue() {
+      return Value.ToString("#0.#################### %");  // percent format
+    }
+    protected override bool SetValue(string value) {
+      bool percent = value.Contains("%");
+      value = value.Replace("%", " ");
+      double val;
+      if (double.TryParse(value, out val)) {
+        if (percent) {
+          if (!(val).IsAlmost(Value * 100.0))
+            Value = val == 0 ? 0 : val / 100.0;
+        } else {
+          Value = val;
+        }
+        return true;
+      } else {
+        return false;
+      }
+    }
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Plugin.cs.frame
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Plugin.cs.frame	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Plugin.cs.frame	(revision 16171)
@@ -0,0 +1,36 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Data {
+  /// <summary>
+  /// Plugin class for HeuristicLab.Data plugin.
+  /// </summary>
+  [Plugin("HeuristicLab.Data", "3.3.15.$WCREV$")]
+  [PluginFile("HeuristicLab.Data-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabDataPlugin : PluginBase {
+  }
+}
Index: branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Properties/AssemblyInfo.cs.frame	(revision 16171)
+++ branches/2943_MOBasicProblem_MOCMAES/HeuristicLab.Data/3.3/Properties/AssemblyInfo.cs.frame	(revision 16171)
@@ -0,0 +1,56 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Data")]
+[assembly: AssemblyDescription("HeuristicLab data classes")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("f1be1f44-c421-4749-9d25-160611dc18b3")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Revision and Build Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
